Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058847 - [Reports] When logged in to the admin portal, accessing the reports portal should be transparent to the user
Summary: [Reports] When logged in to the admin portal, accessing the reports portal sh...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: ---
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.0.0-alpha
: ---
Assignee: bugs@ovirt.org
QA Contact: bugs@ovirt.org
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 15:47 UTC by Gil Klein
Modified: 2016-03-10 10:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-10 10:32:41 UTC
oVirt Team: Infra
ylavi: ovirt-4.0.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Gil Klein 2014-01-28 15:47:15 UTC
Description of problem:

When a user is logged in to the admin portal, accessing the reports portal should be transparent and not requiring the credentials from the user again. 

Version-Release number of selected component (if applicable):
3.4


How reproducible:
100%


Steps to Reproduce:
1. Log in to the admin portal 
2. Go to the report portal page


Actual results:
User will be required to supply his credentials again.


Expected results:
SSO should be used, and the user should be transparently logged in.


Additional info:

Comment 1 Oved Ourfali 2014-01-29 05:59:24 UTC
As far as I know, if configured correctly, the SSO from the admin portal to the reports one should work.
What behavior do you get when opening a report / dashboard from the admin portal?

Comment 2 Gil Klein 2014-01-29 12:50:06 UTC
This problem occurs only when accessing the report management portal, and not a specific report.

In order to reproduce: 
1. Login to the admin portal from: https://ENGINE:8443/webadmin
2. Then access the reports portal using: https://ENGINE/rhevm-reports/login.html

Result: the admin portal will require user authenticate again.

Comment 3 Oved Ourfali 2014-01-29 13:13:33 UTC
The webadmin-reports integration is based on you accessing the reports server through the webadmin, and not externally.
The SSO mechanism is a specific implementation to this integration.
It is true that if we have used some generic mechanism for that, such as picketlink, then this might have worked, but it is currently out of scope, and also the use-case is less interesting.
I suggest to close this bug.

Yaniv - what do you think?

Comment 4 Yaniv Lavi 2014-01-30 08:36:16 UTC
(In reply to Oved Ourfali from comment #3)
> Yaniv - what do you think?

I think the core idea here is good, but the implementation should be different. I would change the reports login url to /ovirt-engine-reports/login and make the welcome page link the /ovirt-engine-reports to redirect to the regular webadmin login. Once the user authenticates, I should SSO and open the reports portal. This way users will use their webadmin user for most session and will login to JRS with internal user only for maintenance.



Yaniv

Comment 5 Itamar Heim 2014-02-02 08:17:17 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 6 Sandro Bonazzola 2015-09-04 09:00:49 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 7 Red Hat Bugzilla Rules Engine 2015-10-19 10:59:04 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 8 Yaniv Kaul 2016-03-10 10:32:41 UTC
Closing old tickets, in medium/low severity. If you believe it should be re-opened, please do so and add justification.


Note You need to log in before you can comment on or make changes to this bug.